## ngmlr 0.2.7%2Bgit20210816.a2a31fb%2Bdfsg

=== CMakeLists.txt ===
  cmake_minimum_required(VERSION 2.8)
project(ngmlr)

include(CheckCXXCompilerFlag)

option(STATIC "Build static binary" OFF)

set( NGM_VERSION_MAJOR 0 )
set( NGM_VERSION_MINOR 2 )
IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
    message(STATUS "Building in debug mode!")
    set( NGM_VERSION_BUILD 8-debug )
else()
  set( NGM_VERSION_BUILD 8 )
ENDIF()

find_package( ZLIB REQUIRED )
find_package ( Threads REQUIRED )

CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
if(COMPILER_SUPPORTS_CXX11)
    IF(NOT APPLE)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    ELSE()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -stdlib=libc++")
    ENDIF()
else()
    message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin/ngmlr-${NGM_VERSION_MAJOR}.${NGM_VERSION_MINOR}.${NGM_VERSION_BUILD}/)
file(MAKE_DIRECTORY ${EXECUTABLE_OUTPUT_PATH})

# Set a default build type for single-configuration
# CMake generators if no build type is set.
# RELEASE, RELWITHDEBINFO, DEBUG
IF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message(STATUS "No build type specified. Using 'RELWITHDEBINFO'")
  SET(CMAKE_BUILD_TYPE RELWITHDEBINFO)
ENDIF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)

add_subdirectory(src)

## ngmlr 0.2.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-  cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8)
 project(ngmlr)
 
 include(CheckCXXCompilerFlag)
@@ -9,9 +9,9 @@
 set( NGM_VERSION_MINOR 2 )
 IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
     message(STATUS "Building in debug mode!")
-    set( NGM_VERSION_BUILD 8-debug )
+    set( NGM_VERSION_BUILD 7-debug )
 else()
-  set( NGM_VERSION_BUILD 8 )
+  set( NGM_VERSION_BUILD 7 )
 ENDIF()
 
 find_package( ZLIB REQUIRED )

=== debian/changelog ===
ngmlr (0.2.7+dfsg-4) unstable; urgency=medium

  * Update Build-Deps
  * Attempt using simde to make portable across other arches
  * Add simde flags
  * Arch:any
  * Fix va_list incompatibilities

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 06 Dec 2020 18:38:52 +0530

ngmlr (0.2.7+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Restrict Architecture: any-amd64 any-i386 x32
    Closes: #976551
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 21:45:39 +0100

ngmlr (0.2.7+dfsg-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jul 2020 14:42:30 +0200

ngmlr (0.2.7+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #963047)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 17 Jun 2020 00:40:24 +0530

=== debian/control ===
Source: ngmlr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <npatra974@gmail.com>,
           Pranav Ballaney <ballaneypranav@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               zlib1g-dev,
               libssw-dev,
               libtclap-dev,
               libhts-dev,
               libsimde-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/ngmlr
Vcs-Git: https://salsa.debian.org/med-team/ngmlr.git
Homepage: https://github.com/philres/ngmlr
Rules-Requires-Root: no

Package: ngmlr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: CoNvex Gap-cost alignMents for Long Reads
 Ngmlr is a long-read mapper designed to sensitively align PacBilo or
 Oxford Nanopore to (large) reference genomes. It was designed to quickly
 and correctly align the reads, including those spanning (complex)
 structural variations. Ngmlr uses an SV aware k-mer search to find
 approximate mapping locations for a read and then a banded Smith-
 Waterman alignment algorithm to compute the final alignment. Ngmlr uses
 a convex gap cost model that penalizes gap extensions for longer gaps
 less than for shorter ones to compute precise alignments.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3

%:
	dh $@ --buildsystem cmake

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=gz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
	https://github.com/philres/ngmlr/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## ngmlr 0.2.7+git20210816.a2a31fb+dfsg

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(ngmlr)

include_directories (../lib/seqan-library-2.2.0/include)
include_directories (../lib/Complete-Striped-Smith-Waterman-Library/src)
include_directories (../lib)
include_directories( ${ZLIB_INCLUDE_DIRS} )

configure_file( Version.h.in ${CMAKE_SOURCE_DIR}/src/Version.h )

IF(STATIC)
    IF(APPLE)
        message(FATAL_ERROR "MacOSX does not support static linking. Please use -DSTATIC=OFF")
    ENDIF()
    SET(CMAKE_FIND_LIBRARY_SUFFIXES ".a")    
    SET(BUILD_SHARED_LIBRARIES OFF)
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
ENDIF()

add_executable(ngmlr
                    AlignmentMatrix.cpp
                    AlignmentMatrixFast.cpp
                    ArgParser.cpp																					
					CS.cpp					
					CSstatic.cpp
					ConvexAlign.cpp
					ConvexAlignFast.cpp
					LinearRegression.cpp													
					Logging.cpp
					MappedRead.cpp
					main.cpp
					NGM.cpp
					NGMTask.cpp
					AlignmentBuffer.cpp
					PrefixTable.cpp														
					ReadProvider.cpp
					SamParser.cpp
					SAMWriter.cpp
					SequenceProvider.cpp	
					OutputReadBuffer.cpp	
					ScoreBuffer.cpp
					StrippedSW.cpp
					../lib/Complete-Striped-Smith-Waterman-Library/src/ssw.c
					unix.cpp
					unix_threads.cpp)										
					
ADD_CUSTOM_TARGET(recompile_always ALL touch "${CMAKE_SOURCE_DIR}/src/main.cpp")

#SET_TARGET_PROPERTIES(ngmlr PROPERTIES COMPILE_FLAGS " -g -O3 -DNDEBUG")
 
TARGET_LINK_LIBRARIES(ngmlr ${ZLIB_LIBRARIES})
TARGET_LINK_LIBRARIES(ngmlr ${CMAKE_THREAD_LIBS_INIT})

install (TARGETS ngmlr DESTINATION bin)

=== debian/changelog ===
ngmlr (0.2.7+git20210816.a2a31fb+dfsg-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * DEP-3 header for fix-type-incompatibilities.patch

  [ Nilesh Patra ]
  * Add patch to fix FTBFS with Cmake 4 (Closes: #1113324)
  * Bump Standards-Version to 4.7.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 27 Sep 2025 14:49:40 +0530

ngmlr (0.2.7+git20210816.a2a31fb+dfsg-2) unstable; urgency=medium

  * Add patch to fix arm build
  * d/control: Remove Pranav from uploaders (not active)
  * d/t/run-unit-test: diff with -u flag

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Oct 2021 17:34:16 +0530

ngmlr (0.2.7+git20210816.a2a31fb+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.

  * d/watch: fixed github URL
  * d/u/metadata: completed RRIDs, added paper (shared with sniffles)
  * Incorporating upstream fix from PR #96 that induced
    a parse error by samtools.
  * Patch for src/AlignmentBuffer.cpp no longer required
  * Allow for repeated builds.
  * Allow use of already prepared __VA_ARGS__ in ILog.h
  * Deactivated patch fix-type-incompatibilities.patch which prevented
    multiple args to fprintf to be detected.
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)

  [ Andreas Tille ]
  * DEP3

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 06:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,5 @@
 Source: ngmlr
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Nilesh Patra <npatra974@gmail.com>,
-           Pranav Ballaney <ballaneypranav@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +9,7 @@
                libtclap-dev,
                libhts-dev,
                libsimde-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/ngmlr
 Vcs-Git: https://salsa.debian.org/med-team/ngmlr.git
 Homepage: https://github.com/philres/ngmlr

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 
 %:
 	dh $@ --buildsystem cmake
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf bin

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, samtools, bedtools
Restrictions: allow-stderr
